Page MenuHomePhabricator

Remove traces of MathJax from the Math extension
Closed, ResolvedPublic

Description

If I understand T99369: Remove client-side MathJax rendering mode correctly, the Math extension doesn't support MathJax any longer. (Please correct me if I'm wrong.)

Here are a few things I found by simply running git grep -i jax:

There are, however, some traces of MathJax left in the Math extension's code:

  • Translatable messages: mw_math_latexml_jax and mw_math_mathjax. They should be simply deleted from en.json,and qqq.json, and the other languages will be auto-updated. (patch)
  • README mentions MathJax configuration.
  • A reference image for Special:MathStatus. Actually opening that page in the English Wikipedia says "Test Comparing the generated SVG with the reference failed."
  • Tests.
  • Remove $wgUseMathJax = true; from WMF's CommonSettings.php. (patch)

If MathJax is completely irrelevant for the Math extension, then I guess that the only results for git grep -i jax should be in the HISTORY file.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove UseMathJax from CommonSettings.php
mediawiki/extensions/Math : masterRemove MathJax messages from en.json

Event Timeline

Amire80 created this task.May 16 2017, 10:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2017, 10:37 AM

Change 353967 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/Math@master] Remove MathJax messages from en.json

https://gerrit.wikimedia.org/r/353967

Amire80 updated the task description. (Show Details)

Change 353971 had a related patch set uploaded (by Amire80; owner: Amire80):
[operations/mediawiki-config@master] Remove UseMathJax from CommonSettings.php

https://gerrit.wikimedia.org/r/353971

Amire80 updated the task description. (Show Details)May 16 2017, 10:46 AM
Amire80 updated the task description. (Show Details)May 16 2017, 11:04 AM

Change 353967 merged by jenkins-bot:
[mediawiki/extensions/Math@master] Remove MathJax messages from en.json

https://gerrit.wikimedia.org/r/353967

Pkra added a subscriber: Pkra.May 16 2017, 12:33 PM

If MathJax is completely irrelevant for the Math extension

Since the math extension builds on mathjax for generating output (via mathjax-node in mathoid), it is probably still relevant.

Amire80 updated the task description. (Show Details)May 16 2017, 12:42 PM

Change 353971 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove UseMathJax from CommonSettings.php

https://gerrit.wikimedia.org/r/353971

Mentioned in SAL (#wikimedia-operations) [2017-05-25T18:34:19Z] <thcipriani@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:355114|Remove special Math extension settings for hewiki]] [[gerrit:353971|Remove UseMathJax from CommonSettings.php]] T165475 (duration: 00m 43s)

Amire80 updated the task description. (Show Details)May 25 2017, 6:35 PM
He7d3r added a subscriber: He7d3r.Dec 26 2017, 10:26 AM
Amire80 moved this task from Untriaged to Messages to delete on the I18n board.Feb 3 2018, 3:12 PM
Pkra moved this task from Incoming to Doing on the Math board.Dec 7 2018, 11:19 AM
Physikerwelt closed this task as Resolved.Jul 19 2019, 9:01 PM
Physikerwelt claimed this task.
Physikerwelt added a subscriber: Physikerwelt.

I did run git grep -i jax and the remaining results are justified. Closing.

physikerwelt@x1:~/git/wikipedia/Math$ git grep -i jax
RELEASE-NOTES-3.0.0:* (T99369) Remove client-side MathJax support.
i18n/ksh.json:  "mw_math_mathml": "<i lang=\"en\" xml:lang=\"en\" dir=\"ltr\" title=\"Mathematical notations in web pages\">MathJax</i>, wann dat nit jeihd <i lang=\"en\" xml:lang=\"en\" dir=\"ltr\" title=\"Scalable Vector Graphics\">SVG</i> udder söns <i lang=\"en\" xml:lang=\"en\" dir=\"ltr\" title=\"Portable Network Graphics\">PNG</i> (för modärne Brauser un Wärkzüsch för der Zohjang)",
images/reference.svg:<svg xmlns:xlink="http://www.w3.org/1999/xlink" width="5.099ex" height="2.343ex" style="vertical-align: -0.505ex;" viewBox="0 -791.3 2195.4 1008.6" xmlns="http://www.w3.org/2000/svg" role="math" aria-labelledby="MathJax-SVG-1-Title MathJax-SVG-1-Desc">
images/reference.svg: <title id="MathJax-SVG-1-Title">Equation</title>
images/reference.svg: <desc id="MathJax-SVG-1-Desc">a plus b</desc>
modules/ve-math/ve.ui.MWMathSymbols.css:        background-image: url( data:image/svg+xml,%3Csvg%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%221.55ex%22%20height%3D%222.009ex%22%20style%3D%22vertical-align%3A%20-0.338ex%3B%22%20viewBox%3D%220%20-719.6%20667.3%20865.1%22%20role%3D%22img%22%20focusable%3D%22false%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20aria-labelledby%3D%22MathJax-SVG-1-Title%22%3E%3Ctitle%20id%3D%22MathJax-SVG-1-Title%22%3Elogical-and%3C%2Ftitle%3E%3Cdefs%20aria-hidden%3D%22true%22%3E%3Cpath%20stroke-width%3D%220.5%22%20id%3D%22E1-MJMAIN-2227%22%20d%3D%22M318%20591Q325%20598%20333%20598Q344%20598%20348%20591Q349%20590%20414%20445T545%20151T611%20-4Q609%20-22%20591%20-22Q588%20-22%20586%20-21T581%20-20T577%20-17T575%20-13T572%20-9T570%20-4L333%20528L96%20-4Q87%20-20%2080%20-21Q78%20-22%2075%20-22Q57%20-22%2055%20-4Q55%202%20120%20150T251%20444T318%20591Z%22%3E%3C%2Fpath%3E%3C%2Fdefs%3E%3Cg%20stroke%3D%22currentColor%22%20fill%3D%22currentColor%22%20stroke-width%3D%220%22%20transform%3D%22matrix%281%200%200%20-1%200%200%29%22%20aria-hidden%3D%22true%22%3E%20%3Cuse%20xlink%3Ahref%3D%22%23E1-MJMAIN-2227%22%20x%3D%220%22%20y%3D%220%22%3E%3C%2Fuse%3E%3C%2Fg%3E%3C%2Fsvg%3E );
modules/ve-math/ve.ui.MWMathSymbols.css:        background-image: url( data:image/svg+xml,%3Csvg%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%221.55ex%22%20height%3D%222.009ex%22%20style%3D%22vertical-align%3A%20-0.338ex%3B%22%20viewBox%3D%220%20-719.6%20667.3%20865.1%22%20role%3D%22img%22%20focusable%3D%22false%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20aria-labelledby%3D%22MathJax-SVG-1-Title%22%3E%3Ctitle%20id%3D%22MathJax-SVG-1-Title%22%3Elogical-or%3C%2Ftitle%3E%3Cdefs%20aria-hidden%3D%22true%22%3E%3Cpath%20stroke-width%3D%220.5%22%20id%3D%22E1-MJMAIN-2228%22%20d%3D%22M55%20580Q56%20587%2061%20592T75%20598Q86%20598%2096%20580L333%2048L570%20580Q579%20596%20586%20597Q588%20598%20591%20598Q609%20598%20611%20580Q611%20574%20546%20426T415%20132T348%20-15Q343%20-22%20333%20-22T318%20-15Q317%20-14%20252%20131T121%20425T55%20580Z%22%3E%3C%2Fpath%3E%3C%2Fdefs%3E%3Cg%20stroke%3D%22currentColor%22%20fill%3D%22currentColor%22%20stroke-width%3D%220%22%20transform%3D%22matrix%281%200%200%20-1%200%200%29%22%20aria-hidden%3D%22true%22%3E%20%3Cuse%20xlink%3Ahref%3D%22%23E1-MJMAIN-2228%22%20x%3D%220%22%20y%3D%220%22%3E%3C%2Fuse%3E%3C%2Fg%3E%3C%2Fsvg%3E );
package-lock.json:                                      "integrity": "sha512-zjaXglF5nnWpsq470jSv6P9DwPvgLkuapYmfDm3JWOm0vkNTVF2tI4UrN2r6jH1qM/uc/WtxYY1hYoA2dOKj5w==",
src/MathHooks.php:              // 'MW_MATH_MATHJAX'     => 6
src/MathHooks.php:              // 'MW_MATH_LATEXML_JAX' => 8
tests/phpunit/MathHooksTest.php:                        'MW_MATH_MATHJAX'     => $default,
tests/phpunit/MathHooksTest.php:                        'MW_MATH_LATEXML_JAX' => $default,